#include <bits/stdc++.h>
using namespace std;
#define int long long
int ans = 0;
vector<vector<int>> lp;
void rec(vector<vector<int>> &d, const vector<int> &a, int &j, const int &n){
    if (j == n){
        int c = 0;
        for (int i = 0; i < (int)d.size(); ++i){
            int nw = 0;
            for (int j = 0; j < (int)d[i].size(); ++j){
                nw = max(nw, d[i][j] + j + 1);
            }
            c += nw;
        }
        if (c > ans){
            ans = c;
            lp = d;
        }
        return;
    }
    for (int i = 0; i < (int)d.size(); ++i){
        d[i].push_back(a[j]);
        ++j;
        rec(d, a, j, n);
        --j;
        d[i].pop_back();
    }
}
signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
//    int n,k;
//    cin >> n >> k;
//    vector<int> a(n);
//    for (int &i : a){
//        cin >> i;
//    }
//    vector<vector<int>> lol(k);
//    int j = 0;
//    rec(lol, a, j, n);
//    for (auto i : lp){
//        for (auto j : i){
//            cout << j << " ";
//        }
//        cout << "\n";
//    }
//    cout << ans << "\n";
    int n,k;
    cin >> n >> k;
    vector<int> a(n);
    for (int &i : a){
        cin >> i;
    }
    int ans = 0;
    for (int i = 0; i < k - 1; ++i){
        ans += (a[i] + 1);
    }
    int j = 1, mx = -1;
    for (int i = k - 1; i < n; ++i){
        mx = max(a[i] + j++, mx);
    }
    cout << ans + mx << "\n";
}
